Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class TimeStampReq

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.tsp.TimeStampReq

All Implemented Interfaces:
  DEREncodable

public class TimeStampReq
extends ASN1Encodable

Constructor Summary
`TimeStampReq(ASN1Sequence seq)`
`TimeStampReq(MessageImprint messageImprint, DERObjectIdentifier tsaPolicy, DERInteger nonce, DERBoolean certReq, X509Extensions extensions)`

Method Summary
`DERBoolean` | `getCertReq()`
`X509Extensions` | `getExtensions()`
`static TimeStampReq` | `getInstance(java.lang.Object o)`
`MessageImprint` | `getMessageImprint()`
`DERInteger` | `getNonce()`
`DERObjectIdentifier` | `getReqPolicy()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` TimeStampReq ::= SEQUENCE { version INTEGER { v1(1) }, messageImprint MessageImprint, --a hash algorithm OID and the hash value of the data to be --time-stamped reqPolicy TSAPolicyId OPTIONAL, nonce INTEGER OPTIONAL, certReq BOOLEAN DEFAULT FALSE, extensions [0] IMPLICIT Extensions OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampReq

    public TimeStampReq(ASN1Sequence seq)

### TimeStampReq

    public TimeStampReq(MessageImprint messageImprint,
                        DERObjectIdentifier tsaPolicy,
                        DERInteger nonce,
                        DERBoolean certReq,
                        X509Extensions extensions)

Method Detail

### getInstance

    public static TimeStampReq getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### getMessageImprint

    public MessageImprint getMessageImprint()

### getReqPolicy

    public DERObjectIdentifier getReqPolicy()

### getNonce

    public DERInteger getNonce()

### getCertReq

    public DERBoolean getCertReq()

### getExtensions

    public X509Extensions getExtensions()

### toASN1Object

    public DERObject toASN1Object()

       TimeStampReq ::= SEQUENCE  {
        version                      INTEGER  { v1(1) },
        messageImprint               MessageImprint,
          --a hash algorithm OID and the hash value of the data to be
          --time-stamped
        reqPolicy             TSAPolicyId              OPTIONAL,
        nonce                 INTEGER                  OPTIONAL,
        certReq               BOOLEAN                  DEFAULT FALSE,
        extensions            [0] IMPLICIT Extensions  OPTIONAL
       }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD